Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter
Class DynamicClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.apache.jmeter.DynamicClassLoader

public class DynamicClassLoader
extends URLClassLoader

This is a basic URL classloader for loading new resources dynamically. It allows public access to the addURL() method. It also adds a convenience method to update the current thread classloader

Constructor Summary
`DynamicClassLoader(URL[] urls)`
`DynamicClassLoader(URL[] urls, ClassLoader parent)`
`DynamicClassLoader(URL[] urls, ClassLoader parent, URLStreamHandlerFactory factory)`

Method Summary
`void` | `addURL(URL url)`
`static void` | `updateLoader(URL[] urls)`

Methods inherited from class java.net.URLClassLoader
`definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicClassLoader

    public DynamicClassLoader(URL[] urls)

### DynamicClassLoader

    public DynamicClassLoader(URL[] urls,
                              ClassLoader parent)

### DynamicClassLoader

    public DynamicClassLoader(URL[] urls,
                              ClassLoader parent,
                              URLStreamHandlerFactory factory)

Method Detail

### addURL

    public void addURL(URL url)

### updateLoader

    public static void updateLoader(URL[] urls)

  Parameters:
    `urls` - - list of URLs to add to the thread's classloader

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.